### 5.1.23 det

`Syntax:`
  `det (` intmat_expression `)`
  `det (` matrix_expression `)`
  `det (` smatrix_expression `)`
  `det (` matrix_expression `,` string_expression `)`
  `det (` smatrix_expression `,` string_expression `)`
`Type:`
  int, resp. poly
`Purpose:`
  returns the determinant of a square matrix. The applied algorithms depend on type of input or the optional second argument.
  The optional second argument specifies the algorithm to use. Possible values are `"Bareiss"`, `"SBareiss"`, `"Mu"` and `"Factory"`.

`Example:`

        ring r=7,(x,y),wp(2,3);
        matrix m[3][3]=1,2,3,4,5,6,7,8,x;
        det(m);
      ==> -3x-1

See intmat; matrix; minor.

User manual for Singular version 4.4.1, 2025, generated by texi2html.